"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeStepFunctionAndLambdaTraces = void 0;
const step_functions_helper_1 = require("./step-functions-helper");
function mergeStepFunctionAndLambdaTraces(resources, serverless) {
    var _a;
    for (const [resourceName, resourceObj] of Object.entries(resources)) {
        if (resourceObj.Type !== "AWS::StepFunctions::StateMachine" || !resourceObj.Properties) {
            continue;
        }
        const definitionString = (_a = resourceObj.Properties) === null || _a === void 0 ? void 0 : _a.DefinitionString;
        const newDefString = (0, step_functions_helper_1.updateDefinitionString)(definitionString, serverless, resourceName);
        resourceObj.Properties.DefinitionString = newDefString;
    }
}
exports.mergeStepFunctionAndLambdaTraces = mergeStepFunctionAndLambdaTraces;
//# sourceMappingURL=span-link.js.map